<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>跨域-vue</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
	<script>
    this.$http.jsonp('http://www.domain2.com:8080/login', {
      params: {},
      jsonp: 'onBack'
    }).then((res) => {
      console.log(res);
    });

/*
后端node.js代码示例：
var querystring = require('querystring');
var http = require('http');
var server = http.createServer();
server.on('request', function(req, res) {
  var params = qs.parse(req.url.split('?')[1]);
  var fn = params.callback;
   // jsonp返回设置
  res.writeHead(200, { 'Content-Type': 'text/javascript' });
  res.write(fn + '(' + JSON.stringify(params) + ')');
  res.end();
});
server.listen('8080');
console.log('Server is running at port 8080...');

 */ 
	</script>
 </body>
</html>